White Label Admin - Update the order of deployment options in the deployment view
curl --request POST \
--url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/deploymentOptionsOrder \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"order": [
"org-1"
]
}
'import requests
url = "https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/deploymentOptionsOrder"
payload = { "order": ["org-1"] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({order: ['org-1']})
};
fetch('https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/deploymentOptionsOrder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"error": "<string>"
}White Label Admin - Update the order of deployment options in the deployment view
White label admin only API to customize the order of deployment options in the deployment view for this white label.
POST
/
api
/
organizations
/
{organizationId}
/
whitelabel
/
deploymentOptionsOrder
White Label Admin - Update the order of deployment options in the deployment view
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Organization ID
Body
application/json
Optional attribute allowing a whitelabel to customize the order of deployment options in the deployment view, given as an in-order list of deployment options.
Deployment option name
Was this page helpful?
White Label Admin - Update default deployment target
Previous
White Label Admin - Update learning blocks
Next
⌘I